package ru.landgrafhomyak.serdha.api.v0.misc

public interface SelectedTable<SelectedTableUserExtension : Any, QueryUserExtension : Any> {
	public fun <RT, DT : DatabaseType<RT>> selectColumn(column: Column<RT, DT, SelectedTableUserExtension>): SelectedColumn<RT, DT, SelectedTableUserExtension, QueryUserExtension>

	public interface WithParamsRedirect<SelectedTableUserExtension : Any, QueryUserExtension : Any> : SelectedTable<SelectedTableUserExtension, QueryUserExtension> {
		public fun <RT, DT : DatabaseType<RT>> setParam(subqueryParam: QueryParam<RT, DT, SelectedTableUserExtension>, parentParam: QueryParam<RT, DT, QueryUserExtension>)
	}
}